export interface IYukawaAlertConfig {
    appearance?: YukawaAlertAppearance;
    dismissible?: boolean;
    name?: string;
    message?: string;
    showIcon?: boolean;
    title?: string;
    type: YukawaAlertType;
}
export interface IYukawaAlert extends IYukawaAlertConfig {
    name: string;
    message: string;
    type: YukawaAlertType;
}
export declare type YukawaAlertAppearance = 'border' | 'fill' | 'outline' | 'soft';
export declare type YukawaAlertType = 'primary' | 'accent' | 'warn' | 'basic' | 'info' | 'success' | 'warning' | 'error';
